Plugin Delete
Completely delete a plugin from the instance. This will uninstall the plugin first then remove its binary file from the storage backend. Some plugins may write additional data to the instance, this will not be removed by this operation unless the plugin cleans up after itself.
/plugins/{plugin_instance_id}Completely delete a plugin from the instance. This will uninstall the plugin first then remove its binary file from the storage backend.
Some plugins may write additional data to the instance, this will not be removed by this operation unless the plugin cleans up after itself.
In: cookie
Path Parameters
Plugin ID.
Response Body
application/json
curl -X DELETE "https://example.com/plugins/cc5lnd2s1s4652adtu50"{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Plugin Cycle Token POST
Cycles the static bearer token for an external plugin and returns the newly generated token. This operation is only valid for external plugins. Supervised plugins cycle their connection token automatically.
Plugin Download Package GET
Download the original package archive for a supervised plugin installation. The response body is the same zip archive bytes that were uploaded when the plugin was installed or last updated.